<script setup>
defineProps({
  action: String,
  info: Object
})

const tab = ref('accounting')
const tabs = ref([
  {value: 'accounting', text: 'Accounting'},
  {value: 'assigned_partners', text: 'Assigned Partners'}
])

const openTab = async (val) => {
  if(tab.value !== val) {
    tab.value = val
    sessionStorage.setItem('partner_group_detail_record', tab.value)
  }
}
onMounted(() => {
  const getSessionStorageTab = sessionStorage.getItem('partner_group_detail_record')
  if(getSessionStorageTab) {
    openTab(getSessionStorageTab)
  }
})
</script>

<template>
  <div class="bt-2px_dashed_hexe2e2e2">
    <DetailRecordTab v-model="tab" :tabs="tabs" @handler="(val) => openTab(val.value)" />
    <PartnersPartnerGroupDetailRecordAccounting v-if="tab === 'accounting'" :action="action" :info="info" />
    <PartnersPartnerGroupDetailRecordAssignedPartner v-if="tab === 'assigned_partners'" :action="action" :info="info" />
  </div>
</template>